<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RemoveMohAudioSourceReq StructType
 * @subpackage Structs
 */
class RemoveMohAudioSourceReq extends AbstractStructBase
{
    /**
     * The sourceId
     * Meta information extracted from the WSDL
     * - choice: sourceId | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $sourceId;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: sourceId | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for RemoveMohAudioSourceReq
     * @uses RemoveMohAudioSourceReq::setSourceId()
     * @uses RemoveMohAudioSourceReq::setUuid()
     * @uses RemoveMohAudioSourceReq::setSequence()
     * @param string $sourceId
     * @param string $uuid
     * @param int $sequence
     */
    public function __construct($sourceId = null, $uuid = null, $sequence = null)
    {
        $this
            ->setSourceId($sourceId)
            ->setUuid($uuid)
            ->setSequence($sequence);
    }
    /**
     * Get sourceId value
     * @return string
     */
    public function getSourceId()
    {
        return isset($this->sourceId) ? $this->sourceId : null;
    }
    /**
     * Set sourceId value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $sourceId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RemoveMohAudioSourceReq
     */
    public function setSourceId($sourceId = null)
    {
        if (is_null($sourceId) || (is_array($sourceId) && empty($sourceId))) {
            unset($this->sourceId);
        } else {
            $this->sourceId = $sourceId;
        }
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RemoveMohAudioSourceReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RemoveMohAudioSourceReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
